Apache Tomcat 7.0.42

## org.apache.jasper.compiler
Interface ELInterpreter

All Known Implementing Classes:
  ELInterpreterFactory.DefaultELInterpreter

    public interface ELInterpreter

Defines the interface for the expression language interpreter. This allows users to provide custom EL interpreter implementations that can optimise EL processing for an application by , for example, performing code generation for simple expressions.

Method Summary
`String` `interpreterCall(JspCompilationContext context, boolean isTagFile, String expression, Class<?> expectedType, String fnmapvar, boolean xmlEscape)` Returns the string representing the code that will be inserted into the servlet generated for JSP.

Method Detail

### interpreterCall

    String interpreterCall(JspCompilationContext context,
                           boolean isTagFile,
                           String expression,
                           Class<?> expectedType,
                           String fnmapvar,
                           boolean xmlEscape)

  Returns the string representing the code that will be inserted into the servlet generated for JSP. The default implementation creates a call to `PageContextImpl.proprietaryEvaluate( String, Class, javax.servlet.jsp.PageContext, org.apache.jasper.runtime.ProtectedFunctionMapper, boolean)` but other implementations may produce more optimised code.

  Parameters:
    `expression` - a String containing zero or more "${}" expressions
    `expectedType` - the expected type of the interpreted result
    `fnmapvar` - Variable pointing to a function map.
    `xmlEscape` - True if the result should do XML escaping
  Returns:
    a String representing a call to the EL interpreter.

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.